Isotop 0.3.2 : un nouveau pas vers un OpenBSD à destination bureautique ?

Isotop, c’est un peu la concrétisation d’un rêve un peu fou que je caresse depuis des années : transformer un OS libre orienté sécurité en OS de bureau.

J’avais parlé de la version 0.2, basée sur OpenBSD 6.2 en octobre 2017. J’ai été contacté peu après la sortie d’OpenBSD 6.3 début avril 2018 par Thuban, papa du projet Isotop pour faire un peu de bêta-test avant que la version ne soit officiellement annoncée. D’ailleurs, il y a eu deux séries de bêtas avant d’arriver à la version finie.

Vous devez vous douter que je n’ai pas rédigé l’article dans la foulée de l’annonce officielle, le délai étant un peu court, mais que je l’ai fait dès que j’ai eu accès aux fichiers torrents des images d’installation.

Il n’y a aucune image live, toutes les images ISO et fs pour les clés USB sont pour lancer l’installation.

L’installation ? C’est celle d’OpenBSD. Autant dire que c’est une installation en mode texte plus qu’automatisée. Avec ma nouvelle machine, l’installation a été assez rapide. 3 minutes pour la base, dont le paquet « site63 » qui copie les logiciels qui constituent la personnalisation d’Isotop.

Une fois l’installation terminée, on est accueilli par un gentil message qui nous invite à prendre une tasse de café 😉

La post-installation a été assez rapide, pliée en moins de 5 minutes. Il n’y a pas à dire, un Ryzen3 2200G, ça aide un brin 🙂

J’ai ensuite lancé mon ami SimpleScreenRecorder pour enregistrer la vidéo ci-après.

Mis à part à un bug à la con qui m’a bloqué l’accès aux disques en réseau – alors que cela avait fonctionné durant la période dé bêta-test – l’OS est un vrai plaisir à utiliser. On est face à quelque chose de sérieux et surtout conçu pour que ça fonctionne directement à l’installation.

Seul regret : l’absence d’image ISO hybride capables à la fois d’être écrite sur clé USB et sur support optique classique. Peut-être pour la 0.4 dans 6 mois ?

24 réflexions sur « Isotop 0.3.2 : un nouveau pas vers un OpenBSD à destination bureautique ? »

  1. Coucou 🙂

    Désolé, pour la 0.4, la priorité c’est l’empaquetage des petites modifications qui font d’isotop une OpenBSD simplifiée, afin de faciliter les mises à jour. Mais isotop, c’est OpenBSD, pas une dérivée.

    Pas de différences entre une .iso ou un image disque, les 2 sont différents pour une bonne raison.

    Note ue pour avoir une live-USB, c’est hyper simple : il faut installer isotop en choisissant le disque de la clé, puis l’emmener partout 🙂

    Merci pour les tests 😉

    1. Isotop est tout de même bien basé sur OpenBSD. Pour les images hybrides, c’est dommage, ne serait-ce qu’en nombre d’images à créer.

      En tout cas, la 0.3 est déjà bien, même si j’ai eu eu droit à un bug à la con durant l’enregistrement de la vidéo 🙁

  2. Je viens de tester une nouvelle fois et j’ai le même problème que l’année passée, les vidéos comme celle que tu fais passent en accéléré, je mets cela sur le compte de la virtualisation mais comme je te l’ai dit avec GhostBSD je n’ai pas ce problème (toujours en virtuelle).

    A pluche.

  3. bonjour frederic

    j’ai tester powerlevel9k sur archlinux sa marche mais il me met en debut tu terminal c’est erreur:

    /home/chris/.zshrc:354: command not found: m:{a-zA-Z}={A-Za-z}
    /home/chris/.zshrc:source:363: not enough arguments
    /home/chris/.zshrc:364: permission non accordée: /usr/share/zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
    ╭─ chris@chris-archlinux  ~                                                                              126 ↵  5  08:23

    1. Bonjour.

      Vérifie que la ligne zstyle ':completion:*' matcher-list '' 'm:{a-z}={A-Z}' 'm:{a-zA-Z}={A-Za-z}' 'r:|[._-]=* r:|=* l:|=*' est en un seul morceau.

      Pour la deuxième erreur, même chose. Cette ligne doit être d’un seul tenant : source /usr/share/zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh

      1. Pour powerlevel9k sur archlinux sa marche par contre sur fedora c’est pas possible je n’est même pas pus installer les paquet

        impossible de trouver les paquet c’est dommage

      2. pour powerlevel9k sur fedora quand je voulez installer les paquets il me dit :
        Aucune correspondance pour l’argument : zsh-completions
        Aucune correspondance pour l’argument : zsh-theme-powerlevel9k
        Aucune correspondance pour l’argument : grml-zsh-config
        Erreur : Impossible de trouver une correspondance

  4. oui mais par ou commencer je sais pas qu’est ce qu’il faut installer exatement,
    tous sa si j’ai bien compris le tuto que vous avez fait sur archlinux, avec le theme que vous avez trouver je peux le faire la meme chose sur fedora ?

  5. bonjour frederic
    jai essayer une fois de passer d’une version a une autre avec le tuto de linuxtrick
    pour fedora sa n’a pas marcher je sais pas pourquoi , est ce que vous avez une solution de passer de la fedora 27 a 28 sans probleme

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Solve : *
30 − 25 =